"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1085dcea0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1085dcfe0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1085dcf40>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd080>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd120>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd1c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd260>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd300>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd3a0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd440>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd4e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd580>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd620>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd6c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd760>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd800>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd8a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd940>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1085dd9e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1085dda80>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddb20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddbc0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddc60>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddd00>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddda0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1085dde40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddee0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1085ddf80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1085de020>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1085de0c0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1085de160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1085de200>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1085de2a0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1085de340>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1085de3e0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1085de480>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1085de520>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1085de5c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1085de660>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1085de700>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1085de7a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1085de840>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1085de8e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1085de980>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1085dea20>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x1085deac0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1085deb60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1085dec00>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1085deca0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1085ded40>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1085dede0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1085dee80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1085def20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1085defc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1085df060>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1085df100>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1085df1a0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1085df240>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1085df2e0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1085df380>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1085df420>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1085df4c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1085df560>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1085df600>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1085df6a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1085df740>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1085df7e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1085df880>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1085df920>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1085df9c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfa60>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfb00>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfba0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfc40>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfce0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfd80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfe20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1085dfec0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1085dff60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1085f00e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1085f0040>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1085f0180>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1085f0220>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1085f02c0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1085f0360>)]
name: str = 'fr_HOCCN'
